const AppServiceBase = require("../../app.base");

//此类用来db中配置来进行调用-主要功能是商标业务
class UtilsTmAliyunService extends AppServiceBase {
  constructor() {
    super();
  }
  async tmCreateApplicant(pobj) {//创建商标申请人信息
    var verify = await this.opAliyunRpcVerifyParam(pobj);
    if (verify.status != 0) {
      this.pushlogSve.createDb({
        appid: pobj.appInfo.uapp_id,
        appkey: pobj.appInfo.uapp_key,
        requestId: pobj.requestId || "",
        op: "暂无推送的接口信息" + "，verify-msg：" + verify.msg,//推送的接口信息
        content: JSON.stringify(pobj),//推送的参数信息
        resultInfo: "",
        returnType: '0',
        opTitle: pobj.opType + "推送操作失败->tmCreateApplicant"
      });
      return verify;
    }
    var rpcParam = verify.data;
    var params = {
      action: rpcParam.action,
      reqbody: pobj.actionBody,
      rpcParam: rpcParam
    }
    this.opAliyunRpcReq(pobj, params);
  }
  async tmCreateTrademarkApplication(pobj) {//创建商标申请信息
    var verify = await this.opAliyunRpcVerifyParam(pobj);
    if (verify.status != 0) {
      this.pushlogSve.createDb({
        appid: pobj.appInfo.uapp_id,
        appkey: pobj.appInfo.uapp_key,
        requestId: pobj.requestId || "",
        op: "暂无推送的接口信息" + "，verify-msg：" + verify.msg,//推送的接口信息
        content: JSON.stringify(pobj),//推送的参数信息
        resultInfo: "",
        returnType: '0',
        opTitle: pobj.opType + "推送操作失败->tmCreateTrademarkApplication"
      });
      return verify;
    }
    var rpcParam = verify.data;
    var params = {
      action: rpcParam.action,
      reqbody: pobj.actionBody,
      rpcParam: rpcParam
    }
    this.opAliyunRpcReq(pobj, params);
  }
}
module.exports = UtilsTmAliyunService;
